This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1462200 - glusterd status showing failed when it's stopped in RHEL7
glusterd status showing failed when it's stopped in RHEL7
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Gaurav Yadav
:
Depends On: 1384762
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 08:16 EDT by Gaurav Yadav
Modified: 2017-09-05 13:34 EDT (History)
9 users (show)

See Also:
Fixed In Version: glusterfs-3.12.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1384762
Environment:
Last Closed: 2017-09-05 13:34:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Worker Ant 2017-06-18 13:55:34 EDT
REVIEW: https://review.gluster.org/17559 (glusterd.service (systemd), shows "Active failed" when gd in stop state) posted (#1) for review on master by Gaurav Yadav (gyadav@redhat.com)
Comment 2 Worker Ant 2017-06-19 05:33:06 EDT
REVIEW: https://review.gluster.org/17559 (glusterd.service (systemd), shows "Active failed" when gd in stop state) posted (#2) for review on master by Gaurav Yadav (gyadav@redhat.com)
Comment 3 Worker Ant 2017-06-19 06:14:20 EDT
REVIEW: https://review.gluster.org/17559 (glusterd.service (systemd): Detect graceful service shutdown) posted (#3) for review on master by Gaurav Yadav (gyadav@redhat.com)
Comment 4 Worker Ant 2017-06-19 06:20:28 EDT
REVIEW: https://review.gluster.org/17559 (glusterd.service (systemd), shows "Active failed" when gd in stop state) posted (#4) for review on master by Gaurav Yadav (gyadav@redhat.com)
Comment 6 Atin Mukherjee 2017-06-19 08:41:36 EDT
Description of problem:
=======================
glusterd status showing "Active: failed" when it's stopped in RHEL7

~]# systemctl status glusterd
● glusterd.service - GlusterFS, a clustered file-system server
   Loaded: loaded (/usr/lib/systemd/system/glusterd.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Fri 2016-10-14 10:07:13 IST; 1s ago
  Process: 19087 ExecStart=/usr/sbin/glusterd -p /var/run/glusterd.pid --log-level $LOG_LEVEL $GLUSTERD_OPTIONS (code=exited, status=0/SUCCESS)
 Main PID: 19088 (code=exited, status=15)
   CGroup: /system.slice/glusterd.service
           └─5830 /sbin/rpc.statd



Version-Release number of selected component (if applicable):
=============================================================
glusterfs-3.11

How reproducible:
=================
Always


Steps to Reproduce:
====================
1. Have glusterfs 3.11 installed on RHEL7 node
2. Start the glusterd  if it's not running // systemctl start  glusterd
3. Stop the glusterd // systemctl stop glusterd
4. Check the status // systemctl status glusterd ---> will show "Active: Failed"

Actual results:
===============
glusterd status showing failed when it's stopped in  RHEL7 


Expected results:
=================
Status should show Inactive / Not running when it's stopped
Comment 7 Worker Ant 2017-06-19 12:06:05 EDT
COMMIT: https://review.gluster.org/17559 committed in master by Atin Mukherjee (amukherj@redhat.com) 
------
commit 52d0886cfbcdfd69fa0cac0a6d51cd8811d8c6d7
Author: Gaurav Yadav <gyadav@redhat.com>
Date:   Sun Jun 18 23:10:57 2017 +0530

    glusterd.service (systemd), shows "Active failed" when gd in stop state
    
    While doing cleanupandexit glusterd was handling the signal SIGTERM which
    is clean exit but systemd treats it as failure being a non-zero value.
    
    With this fix dependency "SuccessExitStatus " has been added
    in glusterd.service which takes care of service stop properly.
    
    Signed-off-by: Gaurav Yadav <gyadav@redhat.com>
    
    Change-Id: Ie5216722632a245f787fd69bfbbf8d0f0068bccb
    BUG: 1462200
    Reviewed-on: https://review.gluster.org/17559
    Tested-by: Gaurav Yadav <gyadav@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Prashanth Pai <ppai@redhat.com>
Comment 8 Shyamsundar 2017-09-05 13:34:18 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.12.0, please open a new bug report.

glusterfs-3.12.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2017-September/000082.html
[2] https://www.gluster.org/pipermail/gluster-users/

Note You need to log in before you can comment on or make changes to this bug.